diff --git a/src/cfgparse.c b/src/cfgparse.c
index c34b3a8f54..12eae67cc4 100644
--- a/src/cfgparse.c
+++ b/src/cfgparse.c
@@ -1983,7 +1983,7 @@ int readcfgfile(const char *file)
 
 			if (err & (PARSE_ERR_TOOLARGE|PARSE_ERR_OVERLAP)) {
 				outlinesize = (outlen + 1023) & -1024;
-				outline = realloc(outline, outlinesize);
+				outline = my_realloc2(outline, outlinesize);
 				if (outline == NULL) {
 					ha_alert("parsing [%s:%d]: line too long, cannot allocate memory.\n",
 						 file, linenum);
